Search for current

Classes

NameLocationDescription
UserValidateCurrentPassCustomFormmodules/user/user.testTests user_validate_current_pass on a custom form.
views_handler_filter_user_currentmodules/user/views_handler_filter_user_current.incFilter handler for the current user.
views_plugin_argument_default_current_usermodules/user/views_plugin_argument_default_current_user.incDefault argument plugin to extract the global $user

Constants

NameLocationDescription
FIELD_LOAD_CURRENTmodules/field/field.moduleAge argument for loading the most recent version of an entity's field data with field_attach_load().
UPDATE_CURRENTmodules/update/update.moduleProject is up to date.
UPDATE_NOT_CURRENTmodules/update/update.moduleProject has a new release available, but it is not a security release.

Files

NameLocationDescription
help/example-filter-by-current-user.htmlhelp/example-filter-by-current-user.html
modules/user/views_handler_filter_user_current.incmodules/user/views_handler_filter_user_current.incDefinition of views_handler_filter_user_current.
modules/user/views_plugin_argument_default_current_user.incmodules/user/views_plugin_argument_default_current_user.incContains the current user argument default plugin.

Functions & methods

NameLocationDescription
current_pathincludes/path.incReturn the current URL path of the page being viewed.
DatabaseStatementEmpty::currentincludes/database/database.inc
DatabaseStatementPrefetch::currentincludes/database/prefetch.incReturn the current row formatted according to the current fetch style.
drupal_current_script_urlincludes/install.incReturns the URL of the current script, with modified query parameters.
shortcut_current_displayed_setmodules/shortcut/shortcut.moduleReturns the current displayed shortcut set for the provided user account.
UrlAlterFunctionalTest::testCurrentUrlRequestedPathmodules/simpletest/tests/path.testTest current_path() and request_path().
UserValidateCurrentPassCustomForm::getInfomodules/user/user.test
UserValidateCurrentPassCustomForm::setUpmodules/user/user.testGenerates a random database prefix, runs the install scripts on the prefixed database and enable the specified modules. After installation many caches are flushed and the internal browser is setup so that the page requests will run on the new prefix.…
UserValidateCurrentPassCustomForm::testUserValidateCurrentPassCustomFormmodules/user/user.testTests that user_validate_current_pass can be reused on a custom form.
user_form_test_current_passwordmodules/user/tests/user_form_test.moduleA test form for user_validate_current_pass().
user_form_test_current_password_submitmodules/user/tests/user_form_test.moduleSubmit function for the test form for user_validate_current_pass().
user_validate_current_passmodules/user/user.moduleForm validation handler for the current password on the user_account_form().
view::get_current_pageincludes/view.incGet the current page from the pager.
view::set_current_pageincludes/view.incChange/Set the current page for the pager.
ViewsUserArgumentDefault::test_plugin_argument_default_current_usertests/user/views_user_argument_default.test
ViewsUserArgumentDefault::view_plugin_argument_default_current_usertests/user/views_user_argument_default.test
views_get_current_view./views.moduleFind out what, if any, current view is currently in use. Please note that this returns a reference, so be careful! You can unintentionally modify the $view object.
views_handler_filter_user_current::constructmodules/user/views_handler_filter_user_current.incViews handlers use a special construct function so that we can more easily construct them with variable arguments.
views_handler_filter_user_current::querymodules/user/views_handler_filter_user_current.incAdd this filter to the query.
views_plugin_argument_default_current_user::get_argumentmodules/user/views_plugin_argument_default_current_user.incReturn the default argument.
views_plugin_pager::get_current_pageplugins/views_plugin_pager.incGet the current page.
views_plugin_pager::set_current_pageplugins/views_plugin_pager.incSet the current page.
views_plugin_pager_full::set_current_pageplugins/views_plugin_pager_full.incSet the current page.
views_set_current_view./views.moduleSet the current 'current view' that is being built/rendered so that it is easy for other modules or items in drupal_eval to identify
_batch_current_setincludes/batch.incReturns the batch set being currently processed.

Properties

NameLocationDescription
DatabaseStatementPrefetch::$currentKeyincludes/database/prefetch.incThe key of the current row.
DatabaseStatementPrefetch::$currentRowincludes/database/prefetch.incThe current row, retrieved in PDO::FETCH_ASSOC format.
UserValidateCurrentPassCustomForm::$accessUsermodules/user/user.testUser with permission to view content.
UserValidateCurrentPassCustomForm::$adminUsermodules/user/user.testUser permission to administer users.